//modified by Jing Yang after 7/6/2001
#ifndef CSunburstDimDisplay_H
#define CSunburstDimDisplay_H

#include "CDisplay.H"
#include "CFlatDisplayInformation.H"
#include "CSunburstDimClusterTree.H"
#include "CSunburstDimCluster.H"
#include "CSunburstDisplay.H"

class CSunburstDimDisplay: public CSunburstDisplay
{
public:

protected:

public:
	CSunburstDimDisplay();
	~CSunburstDimDisplay();
	
    void InputMouseMotion(int x, int y);
	void InputButtonPress(int button, int x, int y);
	void InputButtonRelease(int button, int x, int y);
    void DrawSingleClusterName(CSunburstCluster *node);

protected:
    CSunburstClusterTree* GetTree();
	void SunburstCaption(int x, int y);
};

#endif

